Get submissions from multiple forms
Get submissions from multiple forms
GET
/
forms
/
multiple-forms-submissions
Get submissions from multiple forms
curl --request GET \
--url https://services.leadconnectorhq.com/forms/multiple-forms-submissions \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/forms/multiple-forms-submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/multiple-forms-submissions"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"submissions": [
{
"id": "38303ec7-629a-49e2-888a-cf8bf0b1f97e",
"contactId": "DWQ45t2IPVxi9LDu1wBl",
"createdAt": "2021-06-23T06:07:04.000Z",
"formId": "YSWdvS4Is98wtIDGnpmI",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {
"fbc": "fb.1.123456789.987654321",
"fbp": "fbp.1.987654321.123456789",
"page": {
"url": "https://example.com",
"title": "Example Page"
},
"type": "page-visit",
"domain": "example.com",
"medium": "form",
"source": "Direct traffic",
"version": "v3",
"adSource": "example-ad-source",
"mediumId": "medium-id-123",
"parentId": "parent-id-456",
"referrer": "https://staging.hoopai.com",
"fbEventId": "event-id-789",
"timestamp": 1234567890,
"parentName": "Parent Form",
"fingerprint": "example-fingerprint",
"pageVisitType": "form",
"contactSessionIds": {
"ids": [
"session1",
"session2"
]
}
},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
],
"pdfUrl": "https://storage.googleapis.com/hoopai-forms-pdfs/location/ve9EPM428h8vShlRW1KT/form/DWQ45t2IPVxi9LDu1wBl/submission-pdf/38303ec7-629a-49e2-888a-cf8bf0b1f97e.pdf"
}
}
],
"meta": {
"total": 1,
"currentPage": 1,
"nextPage": null,
"prevPage": null
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Query Parameters
Last modified on March 8, 2026
Was this page helpful?
Get submissions from multiple forms
curl --request GET \
--url https://services.leadconnectorhq.com/forms/multiple-forms-submissions \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/forms/multiple-forms-submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/forms/multiple-forms-submissions"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"submissions": [
{
"id": "38303ec7-629a-49e2-888a-cf8bf0b1f97e",
"contactId": "DWQ45t2IPVxi9LDu1wBl",
"createdAt": "2021-06-23T06:07:04.000Z",
"formId": "YSWdvS4Is98wtIDGnpmI",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {
"fbc": "fb.1.123456789.987654321",
"fbp": "fbp.1.987654321.123456789",
"page": {
"url": "https://example.com",
"title": "Example Page"
},
"type": "page-visit",
"domain": "example.com",
"medium": "form",
"source": "Direct traffic",
"version": "v3",
"adSource": "example-ad-source",
"mediumId": "medium-id-123",
"parentId": "parent-id-456",
"referrer": "https://staging.hoopai.com",
"fbEventId": "event-id-789",
"timestamp": 1234567890,
"parentName": "Parent Form",
"fingerprint": "example-fingerprint",
"pageVisitType": "form",
"contactSessionIds": {
"ids": [
"session1",
"session2"
]
}
},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
],
"pdfUrl": "https://storage.googleapis.com/hoopai-forms-pdfs/location/ve9EPM428h8vShlRW1KT/form/DWQ45t2IPVxi9LDu1wBl/submission-pdf/38303ec7-629a-49e2-888a-cf8bf0b1f97e.pdf"
}
}
],
"meta": {
"total": 1,
"currentPage": 1,
"nextPage": null,
"prevPage": null
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}